# $Revision: 1.4.2.2 $, $Date: 2007/02/19 10:00:11 $

%define         _name domino

Summary:	KDE theme - %{_name}
Summary(pl):	Motyw do KDE - %{_name}
Name:		kde-theme-%{_name}
Version:	0.4
Release:	1
License:	GPL
Group:		Themes
Source0:	http://kde-apps.org/CONTENT/content-files/42804-%{_name}-%{version}.tar.bz2
# Source0-md5:	c67bb1b986c4ff98ae640acff7b8562f
Patch0:		%{name}-am110.patch
Patch1:		kde-ac260-lt.patch
URL:		http://www.kde-look.org/content/show.php?content=42804
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	kdelibs-devel >= 9:3.5.0
BuildRequires:	rpmbuild(macros) >= 1.129
Requires:	kde-colorscheme-%{_name}
Requires:	kde-decoration-%{_name}
Requires:	kde-style-%{_name}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
%{_name} KDE theme.

%description -l pl
Motyw KDE %{_name}.

%package -n kde-style-%{_name}
Summary:	KDE style - %{_name}
Summary(pl):	Styl do KDE - %{_name}
Group:		Themes
Requires:	kdelibs

%description -n kde-style-%{_name}
Domino is a style with a soft look. It allows to fine adjust the
shininess of the widgets by customizable color gradients.

%description -n kde-style-%{_name} -l pl
Domino jest stylem o mikkim wygldzie. Umoliwia dopieszczenie
jasnoci widgetw dziki configurowalnym gradientom.

%package -n kde-colorscheme-%{_name}
Summary:	Color scheme for KDE style - %{_name}
Summary(pl):	Schemat kolorw do stylu KDE - %{_name}
Group:		Themes
Requires:	kdebase-core

%description -n kde-colorscheme-%{_name}
Color scheme for KDE style - %{_name}.

%description -n kde-colorscheme-%{_name} -l pl
Schemat kolorw do stylu KDE - %{_name}.

%package -n kde-decoration-%{_name}
Summary:	Kwin decoration - %{_name}
Summary(pl):	Dekoracja kwin - %{_name}
Group:		Themes
Requires:	kdebase-desktop-libs

%description -n kde-decoration-%{_name}
Kwin decoration - %{_name}.

%description -n kde-decoration-%{_name} -l pl
Dekoracja kwin - %{_name}.

%prep
%setup -q -n %{_name}-%{version}
%patch0 -p0
%patch1 -p1

%build
cp -f /usr/share/automake/config.sub admin
%{__make} -f admin/Makefile.common cvs

%configure \
%if "%{_lib}" == "lib64"
	--enable-libsuffix=64 \
%endif
	--%{?debug:en}%{!?debug:dis}able-debug%{?debug:=full} \
	--with-qt-libraries=%{_libdir}
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	kde_htmldir="%{_kdedocdir}"

%clean
rm -rf $RPM_BUILD_ROOT

%files

%files -n kde-style-%{_name}
%defattr(644,root,root,755)
%{_libdir}/kde3/kstyle_*.la
%attr(755,root,root) %{_libdir}/kde3/kstyle_*.so
%attr(755,root,root) %{_libdir}/kde3/plugins/styles/*.so
%{_libdir}/kde3/plugins/styles/*.la
%{_datadir}/apps/kstyle/themes/*.themerc

%files -n kde-decoration-%{_name}
%defattr(644,root,root,755)
%{_libdir}/kde3/kwin3_domino.la
%attr(755,root,root) %{_libdir}/kde3/kwin3_domino.so
%{_libdir}/kde3/kwin_domino_config.la
%attr(755,root,root) %{_libdir}/kde3/kwin_domino_config.so
%{_datadir}/apps/kwin/domino.desktop

%files -n kde-colorscheme-%{_name}
%defattr(644,root,root,755)
%{_datadir}/apps/kdisplay/color-schemes/Domino.kcsrc

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: kde-theme-domino.spec,v $
Revision 1.4.2.2  2007/02/19 10:00:11  shadzik
- fix configure

Revision 1.4.2.1  2007/02/19 09:55:46  shadzik
- get rid of UTF-8 descriptions - AC version

Revision 1.4  2007/02/19 08:43:58  shadzik
- fix build on 64bit machines

Revision 1.3  2007/02/19 02:39:41  shadzik
- pl for -style subpackage
- spec_utf8 didn't convert it properly, so it's still iso8859-2

Revision 1.2  2007/02/19 02:29:08  shadzik
- proper Summaries

Revision 1.1  2007/02/18 23:48:07  shadzik
- initial
- partially taken from (deleted) kde-style-domino.spec

Revision 1.2  2007/02/18 23:17:43  shadzik
- acurate BR

Revision 1.1  2007/02/18 23:15:59  shadzik
- initial

Revision 1.20  2007/02/13 08:06:37  glen
- tabs in preamble

Revision 1.19  2007/02/12 00:48:58  baggins
- converted to UTF-8

Revision 1.18  2005/04/06 16:38:37  glen
- define _name for df

Revision 1.17  2005/04/06 16:24:06  darekr
- _kdedocdir needs macros 1.129
- unified

Revision 1.16  2004/05/27 10:03:15  djurban
- hmtldir->make install, unsermake, R fixes

Revision 1.15  2004/05/14 19:11:20  adgor
- Do not export kde_iconsdir
- Pass kde_htmldir only to 'make install'

Revision 1.14  2004/04/17 23:41:02  qboosh
- no predefined License in template (origin of evil)

Revision 1.13  2004/04/16 20:47:08  djurban
- fix %files

Revision 1.12  2004/04/16 20:39:07  djurban
- added ac/am regenration +config.sub
- BR: unsermake

Revision 1.11  2004/04/16 20:36:33  djurban
- s,_htmldir,_kdedocdir

Revision 1.10  2003/09/09 10:24:21  ankry
- spaces -> tab

Revision 1.9  2003/08/27 23:31:03  ankry
- typo

Revision 1.8  2003/08/03 17:17:02  migo
- adapterized
- this should me named template-kde-style.spec

Revision 1.7  2003/08/01 14:22:19  qboosh
- cosmetics, don't propagate unneeded install -d

Revision 1.6  2003/07/31 11:55:15  djurban
- fix log
